#!/usr/bin/env python3

import gi, sys, os, mutagen
from pprint import pprint as print

gi.require_version('Gtk', '3.0')

from gi.repository import Gtk, Gdk, GLib, GdkPixbuf


class AboutWindow(Gtk.AboutDialog):
  def __init__(self):
    super().__init__(self)
    
    self.set_program_name('Sonist Gtk')
    # self.set_logo('youtube')
    self.set_logo_icon_name('google-chrome')
    self.set_license_type(Gtk.License.MIT_X11)
    self.set_version('0.1.0')
    self.set_website('https://github.com/app-cat/sonist-gtk')
    self.set_website_label('官网')
    self.set_copyright('© 2023 Yutent')
    self.set_comments('Sonist-Gtk 是一个界面美观, 基于MPD后端的音乐播放器, 使用python + gtk3开发。')